@import url('https://fonts.googleapis.com/css2?family=Genos:ital,wght@0,100..900;1,100..900&family=Inter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    /* padding-top: 60px;
    padding-bottom: 40px; */
    /* Margin bottom by footer height */
    /* margin-bottom: 60px; */
}

html {
    position: relative;
    min-height: 100%;
}

#footer {
    position: absolute;
    bottom: 16px;
    left: 32px;
    width: calc(100dvw - 64px);
}


#footer .breadcrumb {
    display: flex;
    gap: 16px;
    align-items: center;
    padding: 0;
    margin: 0;
    background-color: transparent;
    border-radius: 0;
}

#footer > .breadcrumb > li:before {
    display: none;
}

#footer > .breadcrumb > li:has(a.policy-link) {
    margin-left: auto;    
}

#footer > .breadcrumb > li > a {
    font-size: 12px;
    line-height: 16px;
    color: #737b8c;
}

.zf-green {
    color: #68b604;
}

.btn-success {
    background-color: #57a900;
    background-image: -moz-linear-gradient(top, #70d900, #57a900);
    background-image: -ms-linear-gradient(top, #70d900, #57a900);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#70d900), to(#57a900));
    background-image: -webkit-linear-gradient(top, #70d900, #57a900);
    background-image: -o-linear-gradient(top, #70d900, #57a900);
    background-image: linear-gradient(top, #70d900, #57a900);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#70d900', endColorstr='#57a900', GradientType=0);
}

.btn-success:hover,
.btn-success:active,
.btn-success.active,
.btn-success.disabled,
.btn-success[disabled] {
    background-color: #57a900;
}

.btn-success:active, .btn-success.active {
    background-color: #57a900;
}

div.container a.brand {
    background: url("../img/zf2-logo.png") no-repeat scroll 0 10px transparent;
    margin-left: 0;
    padding: 8px 20px 12px 40px;
}

.navbar-brand {
    padding-left: 32px;
    height: 72px;
}
/* .navbar > .container .navbar-brand {
    display: block;
    height: 100px;
} */

/* .navbar > .container .navbar-brand img {
    height: 100%;
} */

.cb-block-center {
    float: none;
    margin: 0 auto;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) > * {
    font-family: Inter;
    .btn:focus,
    .btn:active,
    .btn:focus-visible {
        outline-offset: unset;
        outline: none;
        box-shadow: none;
        border-color: transparent;
        color: #03aeef;
    }   
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) ol li::marker,
.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) p.section-title {
    font-weight: bold;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) ol {
    margin: 0;
    padding: 0 0 0 17px;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) p {
    margin: 0 0 16px;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) .modal-header {
    border: none;
    padding: 24px 24px 16px;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) .modal-header .modal-title {
    font-size: 24px;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) .modal-body {
    padding: 0 24px;
}

.modal:is(#termsModal, #policyModal, #contactsModal, #helpModal) .modal-footer {
    padding: 16px 16px 16px 24px;
}

.auth-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    height: 48px;
    padding: 14px 16px;
    border-radius: 8px;
    color: #ffffff;
    font-size: 14px;
    line-height: 1.43;
    font-weight: 500;
    background-image: none;
    border: none;
    outline: none;
    transition: 0.2s ease-in-out;
    &:disabled {
        background-color: #e3e5e8;
    }
}

.auth-btn:active,
.auth-btn:focus {
    outline-offset: unset;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
}

.auth-btn-primary {
    background-color: #03aeef;
    color: #ffffff !important;
    @media (hover: hover) {
        &:hover {
            color: #ffffff !important;
            background-color: #029dd7;
        }
    }
}

.auth-btn-secondary {
    background-color: #03aeef33;
    color: #03aeef;
    @media (hover: hover) {
        &:hover,
        &:active {
            color: #03aeef;
            background-color: #03aeef4c;
        }
    }
}

.auth-btn-google {
    background-color: #f1f2f3;
    color: #000000;
    @media (hover: hover) {
        &:hover {
            background-color: #e3e5e8;
        }
    }
}

a.link-btn {
    color: #000000 !important;
    text-decoration: none;
}

.form-control.invalid {
    border-color: #ec407a !important;
}

.right-side {
    width: 720px;
}

.pwd-wrapper {
    position: relative;
}

.pwd-wrapper:has(.form-control.invalid) .error-msg {
    display: block;
}

.pwd-wrapper button {
    position: absolute;
    right: 12px;
    top: 33px;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    padding: 0;
    outline: none;
    border: none;
    background: url('../img/auth/eye-off.svg');
    background-repeat: no-repeat;
    background-position: center;
}

.pwd-wrapper button.toggled {
    background: url('../img/auth/eye.svg');
}

.auth-form-wrap {
    display: flex;
    font-family: Inter;
}

.auth-form-wrap a {
    font-weight: 500;
    color: #03aeef;
}

.auth-form-wrap .control-label {
   color: #737b8c;
}

.auth-form-wrap h2 {
    font-size: 30px;
    line-height: 40px;
    color:#000000;
    margin: 0 0 8px;
}

.auth-form-wrap .title .control-label {
    font-size: 16px;
    line-height: 24px;
    font-weight: 300;
}

.auth-form-wrap .form {
    margin: 24px 0;
    padding-bottom: 24px;
    border-bottom: 1px solid #e3e5e8;
}

.auth-form-wrap.without-border .form {
    border-bottom: none;
}

.auth-form-wrap .form .form-control {
    padding: 12px;
    height: 48px;
    padding: 12px;
    border-radius: 8px;
    border: 1px solid #e3e5e8;
    background: #ffffff;
    color: #000000;
    box-shadow: none;
    line-height: 1.43;
    &:focus::placeholder {
       color: transparent;
    }
    
    &:focus::-webkit-input-placeholder,
    &:focus::-moz-placeholder,
    &:focus::-ms-input-placeholder {
        color: transparent;
    }
}

.auth-form-wrap .form .control-label,
.auth-form-wrap .form .forgot {
    font-size: 12px;
    line-height: 1.33;
    font-weight: normal;
    margin: 0;
    padding: 0;
}

.auth-form-wrap .form .control-label {
    margin-bottom: 2px;
}
.auth-form-wrap .form-wrapper {
    max-width: 400px;
    margin: 0 32px 60px;
    @media (min-width: 790px) {
        margin-top: 12dvh;
    }
}

/* Login page */
.login-form-wrap .left-side {
    display: grid;
    place-items: center;
    @media (max-width: 1100px) {
        width: 100%;
    }
 }

.login-form-wrap .form .forgot {
    font-weight: 500;
    margin-top: 4px;
}

.login-form-wrap .signup {
    display: flex;
    gap: 8px;
    justify-content: center;
    align-items: center;
}

.login-form-wrap .signup a {
    font-size: 14px;
    font-weight: 20px;
}


.login-form-wrap .right-side  {
   @media (max-width: 1100px) {
    display: none;
   }
}

.login-form-wrap .right-side img {
    position: absolute;
    top: 32px;
    right: 32px;
    width: calc(50dvw - 64px);
    height: calc(100dvh - 64px);
    z-index: -1;
}

.login-form-wrap .right-side .content {
    display: flex;
    flex-direction: column;
    gap: 16px;
    max-width: 400px;
    margin: 8px 30% 0 16%;
}

.login-form-wrap .right-side .content h3 {
    margin: 0;
    font-weight: normal;
}

.login-form-wrap + #footer {
    width: calc(50dvw - 32px);
    @media (max-width: 1100px) {
        width: calc(100dvw - 64px)
    }
}

/* Forgot password page */
.forgot-form-wrap .title .control-label {
    margin: 4px;
}

.invite-message {
    color: #03B6F2;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
} 


.error-msg {
    color: #c7336c;
    font-size: 14px;
}

span.error-msg {
    display: none;
    position: absolute;
    font-size: 12px;
}

.error-msg ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.half-width {
    width: 50%;
}

.full-width {
    width: 100% !important;
}

.max-w414 {
    max-width: 414px !important;
}

.fit-content {
    width: fit-content;
}

.d-flex {
    display: flex !important;
}

.align-items-center {
    align-items: center !important;
}

.justify-content-center {
    justify-content: center !important;
}

.mb-16 {
    margin-bottom: 16px !important;
}

.mb-30 {
    margin-bottom: 30px !important;
}

.mt-16 {
    margin-top: 16px !important;
}

.mtb24-30 {
    margin: 24px 0 30px;
}

.mtb25-20 {
    margin: 25px 0 20px;
}

.mt15 {
    margin-top: 15px;
}

.ml5 {
    margin-left: 5px;
}

.pdr10 {
    padding-right: 10px;
}

.pdr15 {
    padding-right: 15px;
}

.pdr25 {
    padding-right: 25px;
}

.pdr35 {
    padding-right: 35px !important;
}

.pdb20 {
    padding-bottom: 20px !important;
}

.mr100 {
    margin-right: 100px !important;
}

.flr {
    float: right;
}

.tac {
    text-align: center;
}

.red-text {
    color: red;
    font-weight: bold;
}

.dygraph-legend {
    position: fixed !important;
    padding: 10px 5px;
    border-radius: 4px;
    border: 1px solid #a0a0a0;
    max-height: calc(100% - 20px);
    overflow: auto !important;
    font-size: 16px !important;
    z-index: 999 !important;
}

.dygraph-legend > span.highlight {
    background: #ffff00;
}

.grid-column-header {
    font-size: 13px;
    border: none;
}

.grid-column-header > .x-column-header-inner {
    border-style: solid;
    border-color: #D0D0D0;
    border-width: 0 1px 1px 0;
}

.grid-column-header:last-child > .x-column-header-inner {
    border-right-width: 0;
}

.disconnected {
    color: #669999;
}

.non-editable {
    color: #B8B8B8;
}

.greyed-out {
    color: #ccc;
}

.greyed-out-border {
    border-color: #ccc !important;
}

.disabledRow > .x-grid-cell {
    background-color: #e5e5e5 !important;
}

.default-button {
    color: #185E9D;
    text-decoration: underline;
}

.thermostats-grid {
    border-color: #99bce8;
    border-width: 0 0 1px 0;
    border-style: solid;
}

.thermostats-grid:last-child {
    border: none;
}

.arrow-inside-tab {
    display: block;
    position: absolute;
    width: 14px;
    height: 14px;
    top: 9px;
    right: 5px;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/button/default-small-arrow.png") -2px 0 no-repeat;
}

.asterix-inside-tab {
    position: absolute;
    color: yellow;
    font-size: 20px;
    top: 1px;
    left: 3px;
    display: none;
}

.close-button-inside-tab {
    display: block;
    position: absolute;
    top: 9px;
    right: 5px;
    background: #F6F6F6;
    border: 1px solid #DFDFDF;
    border-radius: 100px;
    padding: 3px;
    text-decoration: none;
    color: #656565;
    height: 17px;
    width: 16px;
    line-height: 7px;
}


.form-control::-moz-placeholder,
.form-control:-ms-input-placeholder,
.form-control::-webkit-input-placeholder {
    font-weight: 400;
}


.logo > a {
    display: inline-block;
    height: 50px;
    line-height: 50px;
    padding: 0 0 0 10px;
}

.logo > a > img {
    height: 90%;
    vertical-align: middle;
}

.docked-as-header {
    background: #009BD6;
    color: #fff;
    padding: 0 0 0 8px;
}

.toolbar-as-header {
    background: #009BD6;
    color: #fff;
}

.docked-as-header_paddings {
    padding-top: 10px;
    padding-bottom: 10px;
}

.reset-button-group {
    background: none;
    border: 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.reset-button-group.need-clear-bg .x-toolbar {
    background: none;
}

.reset-button {
    background: none;
    border: none !important;
    padding: 0;
}

.reset-button span[role=img] {
    background-size: 83%;
    background-position: 50% 50%;
}

.reset-button.reset-button-settings span[role=img] {
    background-size: 73%;
}

.reset-button.reset-button-graphs span[role=img] {
    background-size: 85%;
}

.reset-button.reset-button-schedule span[role=img] {
    background-size: 90%;
}

.reset-button.reset-button-refresh span[role=img] {
    background-size: 97%;
}

.toolbar-refresh-btn {
    background-image: url(../img/icon_refresh.svg);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
}

.docked-as-header .x-toolbar-item.reset-button-dr {
    margin-right: 100px;
}

.docked-as-header .x-form-item-label {
    color: #fff;
    line-height: 16px;
}

.reset-button-dr .x-btn-inner {
    color: #fff;
}

.pagingtoolbar-reset {
    background: none;
    border: 0;
}

.pagingtoolbar-reset .x-btn-plain-toolbar-medium-disabled .x-btn-icon-el {
    background-color: transparent;
}

.pagingtoolbar-reset .x-box-target *:nth-child(6) {
    left: initial !important;
    right: 57px !important;
}

.pagingtoolbar-reset .x-btn {
    padding-right: 0;
    padding-left: 0;
}

.pagingtoolbar-reset a {
    background: none;
    border: 0;
    width: 14px;
}

.pagingtoolbar-reset a span.x-btn-icon-el {
    background-repeat: no-repeat !important;
    width: 14px;
}

.pagingtoolbar-reset a span.x-tbar-page-first {
    background: url("../img/icon_left_stop_arrow.svg");
    background-position: center;
}

.pagingtoolbar-reset a span.x-btn-icon-el.x-tbar-page-prev {
    background-image: url("../img/icon_left_arrow.svg");
    background-position: center;
}

.pagingtoolbar-reset a span.x-btn-icon-el.x-tbar-page-next {
    background-image: url("../img/icon_right_arrow.svg");
    background-position: center;
}

.pagingtoolbar-reset a span.x-tbar-page-last {
    background: url("../img/icon_right_stop_arrow.svg");
    background-position: center;
}

.pagingtoolbar-reset .x-toolbar-text {
    color: #fff;
    font-size: 16px;
    font-weight: 100;
}

.pagingtoolbar-reset .x-form-text {
    background: none;
    border: 0;
    color: #fff;
    font-size: 16px;
    text-align: right;
    font-weight: 100;
    padding: 0;
    height: 16px;
}

.pagingtoolbar-reset .x-form-trigger-wrap {
    border: 0;
}

.pagingtoolbar-reset .x-toolbar-separator-horizontal {
    display: none;
}

.cameras-grid .camera-thumbnail {
    width: 90px;
    height: 60px;
}

.cameras-grid .thumb-wrap {
    float: left;
    margin: 10px;
    margin-right: 0;
    padding: 9px;
    border: 1px solid transparent;
    width: 110px;
    text-align: center;
    cursor: pointer;
}

.cameras-grid .x-item-over {
    border: 1px solid #dddddd;
    background: #efefef;
}

.cameras-grid .x-item-selected {
    background: #eff5fb;
    border: 1px solid #99bbe8;
}

.x-tree-icon-leaf {
    position: relative;
    top: 2px;
    height: 18px;
    background-size: contain;
    background-position: center center;
}

.pp-node .x-tree-icon-leaf {
    background-image: url("../img/type_pp.svg");
}

.thermostat-node .x-tree-icon-leaf {
    height: 20px;
    background-position: 1px center;
    background-image: url("../img/type_thermostat.svg");
}

.plugstrip-node .x-tree-icon-leaf {
    background-image: url("../img/type_plugs_and_strips.svg");
}

.skysnap-node .x-tree-icon-leaf {
    background-image: url("../img/type_skysnap.svg");
}

.pisnap-node .x-tree-icon-leaf {
    background-image: url("../img/type_pisnap.svg");
}

.camera-node .x-tree-icon-leaf {
    background-image: url("../img/type_camera.svg");
}

.virtual-node .x-tree-icon-leaf {
    background-image: url("../img/type_virtual.svg");
}

.wh-node .x-tree-icon-leaf {
    /*background-size: cover;*/
    background-position: left center;
    background-image: url("../img/type_wh.svg");
}

.evc-node .x-tree-icon-leaf {
    /*background-size: cover;*/
    background-image: url("../img/type_evc.svg");
}

.x-tip {
    max-height: 35dvh;
}
.x-tip-body  {
    max-height: inherit;
}
.x-tip-default {
    padding: 7px;
    border-color: #a0a0a0;
}

.x-tip-default strong, .x-tip-default span {
    font-size: 18px;
}

.tree-settings-button {
    border-radius: 0;
    background: none;
    border: 0;
}

.sheet-header-plus-btn {
    border-radius: 0;
    background: none;
    /*background: url(../img/plus_header_btn.svg) center center no-repeat;*/
    /*background-size: contain;*/
    border: 0;
    padding: 0;
}

.x-tree-ddindicator {
    height: 2px;
    border-width: 2px 0px 0px;
    border-style: dotted;
    border-color: green;
}

.treepanel-whendrag-nohover .x-grid-row-over.x-grid-tree-node-leaf .x-grid-td {
    background: none;
    border-color: transparent;
}

.overlap-button-while-refresh:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    right: 0;
    left: 0;
    top: 0;
    background: url('../js/CB/ext/packages/ext-theme-neptune/resources/images/loadmask/loading.gif') center no-repeat;
    -webkit-background-size: 16px 16px;
    background-size: 16px 16px;
}

.command-status {
    position: relative;
}
.command-status.overlap-button-while-refresh:after {
    left: 20px;
}

.camera-panel .x-panel-body {
    border: none !important;
}

.camera-panel .x-btn-group {
    border: none;
}

.camera-panel .x-slider-horz,
.camera-panel .x-slider-horz .x-slider-end,
.camera-panel .x-slider-horz .x-slider-inner {
    height: 2px;
    background-color: #009BD6;
    background-image: none;
}

.camera-panel .x-slider-horz {
    padding-right: 16px;
}

.camera-panel .x-slider-vert,
.camera-panel .x-slider-vert .x-slider-end,
.camera-panel .x-slider-vert .x-slider-inner {
    width: 2px;
    background-color: #009BD6;
    background-image: none;
}

.camera-panel .x-slider-vert {
    padding-top: 23px;
}

.camera-panel .x-slider-horz .x-slider-thumb {
    border-radius: 100px;
    height: 30px;
    width: 30px;
    border: 1px solid #009BD6;
    background-color: white;
    background-image: none;
    position: relative;
    top: -14px;
}

.camera-panel .x-slider-vert .x-slider-thumb {
    border-radius: 100px;
    height: 30px;
    width: 30px;
    border: 1px solid #009BD6;
    background-color: white;
    background-image: none;
    left: -14px;
}

/*.camera-panel .x-btn-group, .camera-panel .x-box-layout-ct {*/
/*overflow: visible;*/
/*}*/

.cam-larr-button {
    border: none;
    background: url('../img/cam-arrow-left.png') center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-rarr-button {
    border: none;
    background: url('../img/cam-arrow-right.png') center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-tarr-button {
    border: none;
    background: url('../img/cam-arrow-top.png') center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-barr-button {
    border: none;
    background: url('../img/cam-arrow-bottom.png') center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-iris-button {
    border: none;
    background: url("../img/cam-aperture-icon.png") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-af-button {
    border: none;
    background: url("../img/cam-focus-icon.png") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-plus-button {
    border: none;
    background: url("../img/cam-plus-icon.png") center no-repeat;
    -webkit-background-size: contain;
    background-size: 80%;
}

.cam-fullscreen-button {
    border: none;
    background: url("../img/cam-fullscreen-icon.png") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.cam-minus-button {
    border: none;
    background: url("../img/cam-minus-icon.png") center no-repeat;
    -webkit-background-size: contain;
    background-size: 80%;
}

.fade-out {
    opacity: .3;
}

.unvisible {
    opacity: 0;
}

.dr-panel .x-column-header {
    border-top-width: 0 !important;
    border-right-width: 0 !important;
}

.dr-panel .x-column-header-inner {
    border-width: 0 0 1px 1px;
    border-style: solid;
    border-color: silver;
}

.x-hide-clip {
    position: absolute !important;
    clip: rect(0, 0, 0, 0);
    clip: rect(0 0 0 0);
}

.tab-icon {
    width: 24px;
    height: 24px;
    position: absolute;
    right: 15px;
    top: 4px;
    display: block;
}

.tab-icon.tab-icon-scheduler {
    background: url("../img/icon_schedule.svg") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.tab-icon.tab-icon-alerts {
    background: url("../img/icon_alerts.svg") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.tab-icon.tab-icon-graph {
    width: 22px;
    height: 22px;
    right: 18px;
    top: 5px;
    background: url("../img/icon_graphs.svg") center no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
}

.dr-test-button-wrap.success .dr-test-status-ok,
.button-wrap.success .status-ok {
    display: inline !important;
}

.dr-test-button-wrap.failure .dr-test-status-fail,
.button-wrap.failure .status-fail {
    display: inline !important;
}

.menu-without-icons .x-menu-icon-separator {
    display: none;
}

.menu-without-icons .x-menu-item-link {
    padding-left: 8px;
}

.x-form-item-label {
    line-height: 20px;
}

.x-anchor-form-item {
    margin-bottom: 7px;
}

.skysnaps-config-details {
    width: 100%;
}

.skysnaps-config-details, .skysnaps-config-details td, .skysnaps-config-details th {
    border: 1px solid #C0C0C0;
}

.skysnaps-config-details td, .skysnaps-config-details th {
    padding: 5px;
}

.skysnaps-config-details .show-button {
    font-size: 10px;
    display: block;
    border: 1px solid grey;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    padding: 2px;
    margin-bottom: 3px;
    cursor: pointer;
}

.skysnaps-config-details .switch-settings div figure, .skysnaps-config-details .wiring-settings div figure {
    margin: 0;
    padding: 0;
}

.skysnaps-config-details .switch-settings div figure img {
    width: 75px;
    display: none;
}

.skysnaps-config-details .wiring-settings div figure img {
    width: 100px;
    display: none;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
    height: 7px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 4px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

.background-reset, .common-grid .x-btn-group .x-mask {
    background: none;
}

.common-modal .x-window-body {
    overflow-y: auto;
}

.x-tree-view .x-grid-empty {
    font-size: 18px;
}

.x-tree-view .x-grid-empty + div {
    display: none;
}

#devices-tree .x-grid-empty {
    color: red;
    position: absolute;
    bottom: 0;
}

.apply-changes.x-btn-default-toolbar-small {
    border-color: #C23003;
}

.apply-changes.x-btn-default-toolbar-small .x-btn-inner {
    color: #C23003;
}

.login-door-image-24 {
    display: inline-block;
    width: 20px;
    height: 20px;
    background: url("../img/sa_login_thumb.svg") center no-repeat;
    background-size: contain;
    cursor: pointer;
}

.go-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/tools/tool-sprites-dark.png") 0 -112px no-repeat;
    cursor: pointer;
}

.edit-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/settings_sheets_sign.svg") center no-repeat;
    background-size: contain;
    cursor: pointer;
}

.pencil-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/pencil.svg") center no-repeat;
    background-size: contain;
    cursor: pointer;
}

.add-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/add.svg") center no-repeat;
    background-size: contain;
    cursor: pointer;
}

.delete-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/delete_sheets_sign.svg") center no-repeat;
    background-size: contain;
    cursor: pointer;
}

.clear-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/tools/tool-sprites-dark.png") 0 0 no-repeat;
    cursor: pointer;
}

.maximize-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/tools/tool-sprites-dark.png") 0 -32px no-repeat;
    cursor: pointer;
}

.minimize-image-16 {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/tools/tool-sprites-dark.png") 0 -48px no-repeat;
    cursor: pointer;
}

#devices-tree .clear-image-16 {
    opacity: .2;
}

/* #devices-tree #clearFilter.active .clear-image-16 {
    opacity: 1;
    background: url("../js/CB/ext/packages/ext-theme-neptune/resources/images/shared/icon-error.png") 0 0 no-repeat;
    -webkit-background-size: contain;
    background-size: contain;
} */

.permissions-grid-cell-checked-for-all {
    background: #dfdfdf !important;
}

.permissions-grid-cell-checked-both > div {
    background: rgba(215, 254, 213, 0.45) !important;
}

.sensors-config-grid .x-grid-cell-checkcolumn {
    vertical-align: middle;
}

.stranger-node-selection {
    color: #730000;
}

.utility-node-selection {
    color: #15BE19;
}

.x-grid-row.utility-spreadsheet-device > td.x-grid-cell {
    background-color: rgba(21, 190, 21, .15);
}

.x-grid-row.utility-spreadsheet-device.x-grid-row-over > td.x-grid-cell {
    background-color: rgba(21, 190, 21, .2);
}

.x-grid-row.utility-spreadsheet-device.x-grid-row-selected > td.x-grid-cell {
    background-color: rgba(21, 190, 21, .25);
}

/* --- Content Panel Utility --- */
#content-wrapper.utility-panel #content-panel .x-tab-bar .x-tab-bar-body .x-box-inner {
    background-color: #15BE19;
}

#content-wrapper.utility-panel #content-panel .x-tab-bar .x-tab-bar-body .x-tab-default {
    background-color: #42C948;
}

#content-wrapper.utility-panel #content-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active,
#content-wrapper.utility-panel #content-panel .x-tab-bar .x-tab-bar-strip {
    background-color: #A2E6A5;
}

#content-wrapper.utility-panel #content-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active .x-tab-inner {
    color: #03BC01;
}

/* END --- Content Panel Utility --- */

#content-wrapper.utility-panel .admin-panel .x-tab-bar .x-tab-bar-body .x-box-inner,
#content-wrapper.utility-panel .admin-panel .x-panel-header-default {
    background-color: #4DAE4D;
}

#content-wrapper.utility-panel .admin-panel .x-tab-bar .x-tab-bar-body .x-tab-default {
    background-color: #7ACD7A;
}

#content-wrapper.utility-panel .admin-panel .x-tab-bar .x-tab-bar-strip {
    background-color: #ABE2AB;
}

#content-wrapper.utility-panel .admin-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active {
    background-color: #ABE2AB;
}

.sadmin-panel .x-tab-bar .x-tab-bar-body .x-box-inner {
    background-color: #A300D9;
}

.sadmin-panel .x-tab-bar .x-tab-bar-body .x-tab-default {
    background-color: #8367cc;
}

.sadmin-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active,
.sadmin-panel .x-tab-bar .x-tab-bar-strip {
    background-color: #B973FF;
}

.admin-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active .x-tab-inner,
.sadmin-panel .x-tab-bar .x-tab-bar-body .x-tab-default-active .x-tab-inner {
    color: #fff;
}

.dr-admin-event-form .x-form-checkbox {
    margin-top: 0;
}

.dr-noevent-style {
    background: #79DA69 !important;
}

.op-state-default {
    color: black !important;
}

.op-state-commlost-style {
    background: #000 !important;
    color: white !important;
}

.op-state0-style {
    background: #CAFEC9 !important;
}

.op-state1-style {
    background: #00B800 !important;
}

.op-state2-style {
    background: #FF0000 !important;
    color: white !important;
}

.op-state3-style {
    background: #7A00FF !important;
    color: white !important;
}

.op-state4-style {
    background: #FC9BDB !important;
}

.op-state5-style {
    background: #790000 !important;
    color: white !important;
}

.op-state6-style {
    background: #C68EFF !important;
}

.op-state7-style {
    background: #FCFE00 !important;
}

.op-state8-style {
    background: #FFFF90 !important;
}

.op-state9-style {
    background: #FF6600 !important;
}

.op-state10-style {
    background: #F8B474 !important;
}

.op-state11-style {
    background: #44B4FF !important;
}

.op-state12-style {
    background: #0000FC !important;
    color: white !important;
}

#devices-tree .x-tree-checkbox {
    position: relative;
    background: url('../img/tristate-checkbox.png') no-repeat top left;
    width: 15px;
    height: 15px;
    /*margin: 2px 3px 0 0;*/
}

#devices-tree .x-tree-checkbox-checked {
    background-position: 0px -15px;
}

#devices-tree .x-tree-checkbox-partial {
    background-position: 0px -30px;
}

#devices-tree .x-grid-tree-node-leaf .x-tree-checkbox {
    display: none;
}

.headpanel .user-menu .x-btn-inner {
    text-overflow: ellipsis;
}

.clearMC {
    opacity: .5;
}

.video-tutor {
    cursor: pointer;
}

.video-tutor-icon_red {
    width: 20px;
    background: url('../img/video_tutor_icon_red.png') no-repeat center;
    background-size: contain;
}

.aggr-graph-icon, .disaggr-graph-icon {
    width: 20px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.aggr-graph-icon {
    background-image: url('../img/icon_graphs_aggr.png');
}

.disaggr-graph-icon {
    background-image: url('../img/icon_graphs_disaggr.png');
}

.active-user {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/yes_tick.svg") center no-repeat;
    background-size: contain;
}

.pending-user {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("../img/warn_tick.svg") 0 0 no-repeat;
    background-size: contain;
}

.saacgrid .x-grid-with-row-lines .x-grid-td {
    border-bottom: none;
}

.permissions-grid .x-column-header .x-form-cb {
    position: static;
}

.devices-grid .checkall-column.x-column-header .x-form-cb {
    position: static;
}

.event-dash .progress,
.devices-dash .progress {
    height: 20px;
    margin-bottom: 20px;
    overflow: hidden;
    background-color: #f5f5f5;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
}

.event-dash .progress-bar,
.devices-dash .progress-bar {
    float: left;
    width: 0;
    height: 100%;
    font-size: 12px;
    line-height: 20px;
    color: #fff;
    text-align: center;
    background-color: #337ab7;
    -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .15);
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .15);
    -webkit-transition: width .6s ease;
    -o-transition: width .6s ease;
    transition: width .6s ease;
}

.text-blinker {
    animation: blinker 1s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0.0;
    }
}

.type-combobox-header {
    padding: 2px 1px 2px 6px;
    font-weight: bold;
    text-decoration: underline;
    font-size: 14px;
}

.smallgraph .dygraph-ylabel {
    transform: rotate(90deg);
}

.graph-togglers-bar .x-form-type-checkbox .x-form-item-body {
    padding: 0 5px;
}

.admin-view-title {
    left: 50% !important;
    transform: translateX(-50%);
    margin-top: 4px !important;
    font-size: 22px;
    color: white;
}

.admin-panel .x-panel-header-text-container-default {
    font-size: 20px;
}

.cell-button {
    text-decoration: underline;
    color: #0000ff;
    cursor: pointer;
}

.trees-panel .x-tool-img.x-tool-collapse-left,
[id*="treespanel"] .x-tool-img.x-tool-expand-right {
    background: url("../img/menu_ham.svg") center center no-repeat;
}

.x-accordion-hd .x-tool-img.x-tool-collapse-top {
    background: url("../img/accordeon_expanded_sign.svg") center center no-repeat;
    background-size: 93%;
}

.x-accordion-hd .x-tool-img.x-tool-expand-bottom {
    background: url("../img/accordeon_collapsed_sign.svg") center center no-repeat;
    background-size: 93%;
}

#drEventScheduler .fc-toolbar {
    margin: 10px;
}

.tab-reload {
    position: absolute;
    display: block;
    width: 14px;
    height: 14px;
    right: 20px;
    top: 9px;
    background-image: url("../img/icon_refresh.svg");
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
}

.tabpanel-mapping .tab-reload {
    top: 0;
    left: 100%;
}

.tabpanel-mapping .x-tab:has(span.tab-reload) .x-tab-inner-center {
    padding: 0 4px 0 0;
}

.tabpanel-mapping .x-tab:has(span.tab-reload) {
    padding: 8px 28px 7px 12px;
}

.schedule-day-grid:not(.monday) .fc-axis {
    display: none;
}
.schedule-day-grid:not(.monday) + .copy-event-button {
    left: 3px;
}
.schedule-day-grid.monday + .copy-event-button {
    left: 49px;
}

.fc-content {
    display: flex;
    align-items: center;
    gap: 4px;
    color: #000;
}

.fc-content * {
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    font-family: Inter;
}

.fc-content div.status {
    height: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    order: -1;
}

.fc-content div.status.shifted {
    order: 0;
    margin-left: auto;
}

.fc-content i {
    margin-left: auto;
}

.fc-event {
    border: none;
    border-radius: 2px;
    padding: 2px 4px;
    margin: 0 2px 2px;
}

.fc-eventsExportButton-button,
.fc-preloadButton-button {
    background-color: rgb(38, 170, 220);
    background-image: none;
    border-color: rgb(0, 133, 184);
    color: #fff;
    text-shadow: none;
}

.dygraph-label.dygraph-ylabel,
.dygraph-label.dygraph-y2label {
    display: inline-block;
    position: absolute;
    font-size: 14px;
    font-weight: 600;

}

.dygraph-label.dygraph-ylabel {
    color: #00DA00;
    transform: rotate(90deg);
    top: 28px;
    right: 0;
}

.dygraph-label.dygraph-y2label {
    color: #806000;
    transform: rotate(-90deg);
    top: 32px;
    left: 4px;
}

/* sorry but i can*t find best way ( */
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 0px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 1px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 2px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 3px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 4px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 5px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 7px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 8px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 9px"],
#dashChartPanel-targetEl .x-container [style*="width: 50px"][style*="top: 10px"]{
    display: none;
}

.x-boundlist .group-header {
    padding: 4px;
    font-size: 14px;
    font-weight: bold;
    display: none;
}

.x-boundlist .group-header:has(+ .x-boundlist-item) {
    display: block;
}

.msg-box-custom .x-form-display-field p {
    margin: 4px 0 0;
}


.inform-message {
    padding: 4px;
    font-weight: bold;
    text-align: center;
}

.upload-value-text, .upload-value-btn {
    position: absolute;
    bottom: 10px;
    margin: 0;
    padding: 0 4px;
    width: calc(100% - 24px);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.upload-value-btn {
    width: 16px;
    padding: 0;
    right: 8px;
    border: none;
    z-index: 1;
}

.upload-value-text:empty + .upload-value-btn {
    display: none;
}

.custom-file-upload  {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    width: 100%;
    height: calc(100% - 116px);
    margin-top: -16px;
}

#devices-tree-body .x-tree-icon-parent {
    display: none;
}

.alert-label {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 4px 6px;
    &:not(:empty) {
        background-color: #26aadc;
    }
    .icon {
        min-width: 20px;
        min-height: 20px;
        background-image: url(../img/warning.svg);
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
    }
}

.search-field {
    &:before {
        content: '';
        background-image: url(../img/search.svg);
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
        position: absolute;
        width: 14px;
        height: 14px;
        left: 6px;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1;
    }
    input {        
        padding-left: 20px;
    }
}

.upload-label {
    display: inline-block;
    height: 32px;
    padding: 8px;
    background-color: #26aadc;
    border-radius: 3px;
    border-width: 1px;
    border-style: solid;
    border-color: #0085b8;
    font-size: 12px;
    font-weight: bold;
    color: white;
    cursor: pointer;
}

.upload-label:hover {
    border-color: #009bd6;
    background-color: #229cca;
}

.latest-uploaded .x-grid-td {
    background-color: #bbe4f3;
}

.ux-grid .x-grid-empty {
    text-align: center;
}

.ux-chain-wrapper {
    border: 1px solid #e1e1e1;
    border-radius: 8px;
}

.ux-separator-arrow {
    overflow: visible;
}

.ux-separator-arrow:after {
    content: '\25ba';
    position: absolute;
    right: -2px;
    color: #e1e1e1;
    top: -8px;
}

.ux-action-column .x-action-col-icon:nth-of-type(even) {
    width: 10px;
}

.ux-grid-enabled-toggle {
    display: flex;
    background: #f3f2f2;
    position: relative;
    height: 14px;    
    width: 55%;
    border-radius: 6px;
    cursor: pointer;
    margin: 0 auto;
}

.ux-grid-enabled-toggle div {
    position: absolute;
    top: 2px;
    left: 2px;
    width: 40%;
    height: calc(100% - 4px);
    border-radius: inherit;
    background: #f42e2e;
    transition: all 0.3s ease;
}

.ux-grid-enabled-toggle.active div {
    left: calc(100% - (40% + 2px));
    background: #1fc71f;
}

.event-macs-list {
    display: flex;
    gap: 5px;
    padding: 5px 0;
    label {
        min-width: 100px;
    }
}

.mock-event-item {
    border-color: var(--event-bg) !important;
}

.mock-event-item > .x-panel-header-default {
    background-color: var(--event-bg) !important;
    border-color: var(--event-bg) !important;
}

.mock-event-item .x-panel-header-default .x-tool-img {
    background-color: inherit !important;
}

.mock-event-item .x-panel-header-default .x-header-text {
    color: black;
}
